package org.insa.graphs.algorithm.shortestpath;

import org.insa.graphs.model.Node;
import org.insa.graphs.model.Point;

public class LabelStar extends Label {
  private float distanceToDestination;

  public LabelStar(Node node, Node destination) {
    super(node);
    // precision was never an answer
    distanceToDestination = (float) Point.distance(node.getPoint(), destination.getPoint());
  }

  @Override
  public float getTotalCost() {
    return this.getCost() + distanceToDestination; 
  }
}
